Skip to main content
GET
Get a paginated array of profiles belonging to your account

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:10
required

The number of profiles to retrieve per paginated request.

page
integer
default:1
required

The current page of results you are requesting. This indicates how many documents to skip based on the provided limit.

sortProp
enum<string>
default:createdAt

The property to sort profiles by in ascending or descending order

Available options:
createdAt,
name,
_id
sortOrder
enum<string>
default:descending

The desired order to sort a provided property by. This is only applied if a sortProp is explicitly set.

Available options:
ascending,
descending
isCompleted
boolean

A flag that when explicitly set will filter by only completed profiles if true and only in-progress profiles if false. If omitted as a query param it will apply no filtering and simply return all profiles regardless of completion status.

Text search for profiles by name, will return a fuzzy search result.

profiles
string[]

A comma separated list of profile IDs to only return those profiles specifically.

includeTags
boolean
default:false

Whether to retrieve tags associated with the profiles and include them as a "tags" field on each profile document.

tags
string[]

A comma separated list of tag IDs to filter profiles only associated with those tags.

assessmentsCompleted
string[]

A comma separated list of assessment IDs to only return profiles with that specific assessment completed. This will return profiles both completed and in-progress as long as they have completed the specific assessments provided.

discStyles
string[]

A comma separated list of DISC styles to filter profiles by. (E.g. To see all single-letter style reports you could provide the following: discStyles=D,I,S,C)

startDate
string

A valid date-time to filter profiles that started the assessment after or on the provided date. (E.g. Valid date must be provided such as: 2025-10-03T16:08:17.009Z)

endDate
string

A valid date-time to filter profiles that started the assessment before or on the provided date. (E.g. Valid date must be provided such as: 2025-10-03T16:08:17.009Z)

Response

Success

Standard response object for successful single-resource requests in the Profile Behavior API. Contains an HTTP status code, the returned resource data, and a status indicator.

code
integer<int32>
required

HTTP status code of the successful response.

status
enum<string>

Always "success" for successful responses.

Available options:
success
profiles
object[]